# Created by pyp2rpm-3.3.2
%global pypi_name pytest-xdist
%global srcname pytest_xdist

Name:           python-%{pypi_name}
Version:        3.6.1
Release:        %mkrel 1
Summary:        pytest xdist plugin for distributed testing and loop-on-failing modes
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pytest-xdist/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The pytest-xdist plugin extends pytest with some unique test execution modes:

- test run parallelization: if you have multiple CPUs or hosts you can use
  those for a combined test run. This allows to speed up development or to use
  special resources of remote machines.
- --looponfail: run your tests repeatedly in a subprocess. After each run
  pytest waits until a file in your project changes and then re-runs the
  previously failing tests. This is repeated until all tests pass after which
  again a full run is performed.
- Multi-Platform coverage: you can specify different Python interpreters or
  different platforms and run tests in parallel on all of them.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The pytest-xdist plugin extends pytest with some unique test execution modes:

- test run parallelization: if you have multiple CPUs or hosts you can use
  those for a combined test run. This allows to speed up development or to use
  special resources of remote machines.
- --looponfail: run your tests repeatedly in a subprocess. After each run
  pytest waits until a file in your project changes and then re-runs the
  previously failing tests. This is repeated until all tests pass after which
  again a full run is performed.
- Multi-Platform coverage: you can specify different Python interpreters or
  different platforms and run tests in parallel on all of them.

%pyproject_extras_subpkg -n python3-%{pypi_name} psutil setproctitle

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x testing -x psutil -x setproctitle

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xdist

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sat Dec 28 2024 wally <wally> 3.6.1-1.mga10
+ Revision: 2130800
- new version 3.6.1

* Wed Feb 21 2024 wally <wally> 3.5.0-3.mga10
+ Revision: 2042869
- add psutil and setproctitle extras subpkgs

* Thu Dec 07 2023 wally <wally> 3.5.0-2.mga10
+ Revision: 2015158
- rebuild for py3.12

* Sun Nov 26 2023 wally <wally> 3.5.0-1.mga10
+ Revision: 2009849
- new version 3.5.0
- use %%pyproject_buildrequires

* Thu Aug 31 2023 daviddavid <daviddavid> 3.3.1-1.mga10
+ Revision: 1982100
- new version: 3.3.1
- switch to pyproject

* Tue Mar 29 2022 umeabot <umeabot> 2.5.0-2.mga9
+ Revision: 1833211
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.5.0-1.mga9
+ Revision: 1772518
- new version 2.5.0
- rebuild for python3.10

* Thu Sep 02 2021 wally <wally> 2.3.0-1.mga9
+ Revision: 1744063
- new version 2.3.0

* Mon Mar 15 2021 wally <wally> 2.2.1-2.mga9
+ Revision: 1703605
- rebuild for python 3.9

* Wed Mar 03 2021 guillomovitch <guillomovitch> 2.2.1-1.mga9
+ Revision: 1697526
- new version 2.2.1

* Fri Oct 02 2020 kekepower <kekepower> 2.1.0-1.mga8
+ Revision: 1631885
- Update to version 2.1.0

* Fri Jun 12 2020 kekepower <kekepower> 1.32.0-1.mga8
+ Revision: 1592974
- Update to version 1.32.0

* Sun Feb 16 2020 umeabot <umeabot> 1.29.0-4.mga8
+ Revision: 1531589
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 tv <tv> 1.29.0-3.mga8
+ Revision: 1440568
- bump release so that we're newer than the core/release's build

* Fri Aug 30 2019 wally <wally> 1.29.0-2.mga8
+ Revision: 1435500
- drop python2 support
- update description

* Sat Jul 06 2019 kekepower <kekepower> 1.29.0-1.mga8
+ Revision: 1419142
- Update to version 1.29.0

* Fri Apr 19 2019 kekepower <kekepower> 1.28.0-1.mga7
+ Revision: 1393429
- Update to version 1.28.0

* Sun Apr 07 2019 kekepower <kekepower> 1.27.0-1.mga7
+ Revision: 1386569
- Update to version 1.27.0

* Fri Jan 11 2019 kekepower <kekepower> 1.25.0-1.mga7
+ Revision: 1354653
- imported package python-pytest-xdist

